<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Flexboxi harjutus</title>
    <style>
        html, body {
            width: 100%;
            height: 100%;
            margin: 0;
            padding: 0;
            font-family: Calibri, Arial;
        }
        .container {
            display: flex;
            flex-direction: row;
            flex-wrap: wrap;
            width: 100%;
            height: 100%;
        }
        /* .container header, .container nav, .container main { */
        /* .container * { */
        header, footer, main, nav, aside {
            border: 1px solid black;
        }
        header {
            background: hotpink;
            flex-basis: 100%;
            height: 100px;
            order: 1;
        }
        nav {
            background: khaki;
            flex: 2;
            height: calc(100% - 150px);
            order: 2;
        }
        main {
            background: indianred;
            flex: 4;
            /* height: calc(100% - 150px); */
            order: 4;
        }
        aside {
            background: indigo;
            color: white;
            /* height: calc(100% - 150px); */
            flex: 1;
            order: 3;
        }
        footer {
            background: darkgreen;
            color: white;
            flex-basis: 100%;
            height: 50px;
            order: 5;
        }

        @media (max-width: 500px) {
            nav {
                flex: 1;
            }
            main {
                flex-basis: 100%;
            }
        }

    </style>
</head>
<body>
    <div class="container">
        <header>Header</header>
        <nav>Left navigation</nav>
        <main>Main</main>
        <aside>Right</aside>
        <footer>Footer</footer>
    </div>
</body>
</html>